package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraHostPortDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraHostPort;
import com.loafle.overflow.service.central.infra.InfraHostPortService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraOSPortService")
public class CentralInfraHostPortService implements InfraHostPortService {
  @Autowired
  InfraHostPortDAO infraHostPortDAO;

  public InfraHostPort regist(InfraHostPort infraHostPort) throws OverflowException {
    return this.infraHostPortDAO.save(infraHostPort);
  }

  public InfraHostPort read(Long id) throws OverflowException {
    return this.infraHostPortDAO.findById(id).get();
  }

  public InfraHostPort readByInfraOSIDAndPortAndPortType(Long infraOSID, Short metaPortTypeID, Integer port)
      throws OverflowException {
    return this.infraHostPortDAO.findByInfraHostIdAndMetaPortTypeIdAndPort(infraOSID, metaPortTypeID, port);
  }
}
