package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaIPTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaIPType;
import com.loafle.overflow.service.central.meta.MetaIPTypeService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaIPTypeService")
public class CentralMetaIPTypeService implements MetaIPTypeService {

  @Autowired
  private MetaIPTypeDAO metaIPTypeDAO;

  @Override
  public MetaIPType regist(MetaIPType metaIPType) throws OverflowException {
    return this.metaIPTypeDAO.save(metaIPType);
  }

  @Override
  public MetaIPType readByKey(String key) throws OverflowException {
    return this.metaIPTypeDAO.findByKey(key);
  }

  @Override
  public List<MetaIPType> readAll() throws OverflowException {
    return this.metaIPTypeDAO.findAll();
  }
}
