package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetZoneTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetZoneType;
import com.loafle.overflow.service.central.meta.MetaTargetZoneTypeService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetZoneTypeService")
public class CentralMetaTargetZoneTypeService implements MetaTargetZoneTypeService {

  @Autowired
  private MetaTargetZoneTypeDAO metaTargetZoneTypeDAO;

  @Override
  public MetaTargetZoneType regist(MetaTargetZoneType metaTargetZoneType) throws OverflowException {
    return this.metaTargetZoneTypeDAO.save(metaTargetZoneType);
  }

  @Override
  public MetaTargetZoneType readByKey(String key) throws OverflowException {
    return this.metaTargetZoneTypeDAO.findByKey(key);
  }

  @Override
  public List<MetaTargetZoneType> readAll() throws OverflowException {
    return this.metaTargetZoneTypeDAO.findAll();
  }
}
