package com.loafle.overflow.central.module.infra.dao;

import com.loafle.overflow.model.infra.Infra;
import com.loafle.overflow.model.probe.Probe;
import com.loafle.overflow.model.target.Target;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface InfraDAO extends JpaRepository<Infra, Long> {
  List<Infra> findAllByProbeId(Long probeID);

  Page<Infra> findAllByProbeId(Long probeID, Pageable pageable);

  Page<Infra> findAllByProbeIn(List<Probe> probes, Pageable pageable);

  List<Target> findAllTargetByProbeIn(List<Probe> probes);

  // Infra findByTargetId(Long targetID);

}