package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraHostDaemonDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraHostDaemon;
import com.loafle.overflow.service.central.infra.InfraHostDaemonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraOSDaemonService")
public class CentralInfraHostDaemonService implements InfraHostDaemonService {
  @Autowired
  InfraHostDaemonDAO infraHostDaemonDAO;

  public InfraHostDaemon regist(InfraHostDaemon infraOSDaemon) throws OverflowException {
    return this.infraHostDaemonDAO.save(infraOSDaemon);
  }

  public InfraHostDaemon read(Long id) throws OverflowException {
    return this.infraHostDaemonDAO.findById(id).get();
  }
}
