package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraHostDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraHost;
import com.loafle.overflow.service.central.infra.InfraHostService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraHostService")
public class CentralInfraHostService implements InfraHostService {
  @Autowired
  InfraHostDAO infraHostDAO;

  public InfraHost regist(InfraHost infraHost) throws OverflowException {
    return this.infraHostDAO.save(infraHost);
  }

  public InfraHost read(Long id) throws OverflowException {
    return this.infraHostDAO.findById(id).get();
  }

  public InfraHost readByProbeIdAndIpv4(Long probeId, String ip) throws OverflowException {
    return this.infraHostDAO.findByProbeIdAndIpv4(probeId, ip);
  }

  @Override
  public InfraHost readByProbeIdAndInfraHostIPsAddressAndMetaIPTypeKey(String probeID, String address, String ipTypeKey)
      throws OverflowException {
    return null;
  }

}
