package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaNoAuthProbeStatusDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaNoAuthProbeStatus;
import com.loafle.overflow.service.central.meta.MetaNoAuthProbeStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaNoAuthProbeStatusService")
public class CentralMetaNoAuthProbeStatusService implements MetaNoAuthProbeStatusService {
  @Autowired
  private MetaNoAuthProbeStatusDAO metaNoAuthProbeStatusDAO;

  @Override
  public MetaNoAuthProbeStatus regist(MetaNoAuthProbeStatus metaNoAuthProbeStatus) throws OverflowException {
    return this.metaNoAuthProbeStatusDAO.save(metaNoAuthProbeStatus);
  }

  @Override
  public MetaNoAuthProbeStatus readByKey(String key) throws OverflowException {
    return this.metaNoAuthProbeStatusDAO.findByKey(key);
  }

  @Override
  public List<MetaNoAuthProbeStatus> readAll() throws OverflowException {
    return this.metaNoAuthProbeStatusDAO.findAll();
  }
}
