package com.loafle.overflow.central.module.target.dao;

import com.loafle.overflow.model.target.Target;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Created by root on 17. 6. 5.
 */
@Repository
public interface TargetDAO extends JpaRepository<Target, Long> {
  Target findByInfraId(Long infraId);

  // @Query("select t.infra from target t where t.infra.probe.id = :probeId")
  // Page<Target> findForProbeId(@Param("probeId") Long probeId, Pageable
  // pageRequest);

  Page<Target> findAllByInfraProbeId(Long probeId, Pageable pageRequest);
}
